# SourcePath: hostname/20050118rel
Summary: A utility to set/show the host name or domain name
%if "%{sony_target_lib_name}" == "sslibc"
Name: sony-target-srel-hostname
%define pkgname %{sony_target_config}-srel-hostname
%else
Name: sony-target-grel-hostname
%define pkgname %{sony_target_config}-grel-hostname
%endif
Version: 2.09
Release: 020201
License: GPL
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Source: hostname_%{version}.tar.gz
Patch: hostname-2.07-make.patch
Patch1: hostname-2.09-makefile.patch
Patch2: hostname.patch
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_cross_target_dir}
%define targetroot %{sony_cross_target_dir}

%define _mandir	%{sony_cross_target_dir}%{sony_target_rel_man_dir}
%define _docdir %{sony_cross_target_dir}%{sony_target_rel_doc_dir}


%description
The hostname command can be used to either set or display
the current host or domain name of the system. This name is
used by many of the networking programs to identify the machine.
The domain name is also used by NIS/YP.

%package -n %{pkgname}
Summary: A utility to set/show the host name or domain name
Group: %{sony_group}
AutoReqProv: no
                                                                                
%description -n %{pkgname}
The hostname command can be used to either set or display
the current host or domain name of the system. This name is
used by many of the networking programs to identify the machine.
The domain name is also used by NIS/YP.

%prep
# %target_check
%setup -q -n hostname-%{version}
%patch -p1
%patch1 -p1
%patch2 -p1


%build
%sony_target_rel_setup 
mv hostname.c hostname.c.org
sed 's/rindex/strrchr/g' hostname.c.org > hostname.c
mv Makefile Makefile.org
sed 's/-lresolv//g' Makefile.org > Makefile
make LDFLAGS=

%install
rm -rf %{buildroot}
%sony_target_rel_setup 
make install BASEDIR=%{buildroot}%{sony_cross_target_dir} INSTALL=install
rm -rf %{buildroot}%{sony_cross_target_dir}%{sony_target_rel_data_dir}/man 
# mv %{buildroot}%{sony_cross_target_dir}%{sony_target_rel_data_dir}/man %{buildroot}%{_mandir}
# rm %{buildroot}%{sony_cross_target_dir}%{sony_target_rel_man_dir}/man1/dnsdomainname.1 
# gzip -v9 %{buildroot}%{_mandir}/man*/*
# ln -s hostname.1.gz %{buildroot}%{sony_cross_target_dir}%{sony_target_rel_man_dir}/man1/dnsdomainname.1.gz
# cp COPYRIGHT LICENSE

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_cross_target_dir}/bin/dnsdomainname
%{sony_cross_target_dir}/bin/hostname
# %{_mandir}/man*/*

# %doc debian/changelog LICENSE


%changelog
* Thu Jul 6 2006 Sony Corporation
- rel glibc support

* Mon Mar 7 2005 Sony Corporation
- build with sslibc for ARM

* Fri Jan 28 2005 Sony Corporation
- build with sslibc for PPC/build with glibc for ARM

* Tue Jan 18 2005 Sony Corporation
- build with sslibc 

* Thu Jan 13 2005 Sony Corporation
- delete pml files

* Thu Nov 18 2004 Sony Corporation
- Initial build
